This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1259730 - [abrt] secilc: hashtab_search(): secilc killed by SIGSEGV
[abrt] secilc: hashtab_search(): secilc killed by SIGSEGV
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: secilc (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Lautrbach
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e9e699ab0f5f1d3a66e7f8ff21e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-03 08:47 EDT by Petr Lautrbach
Modified: 2016-06-27 07:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-27 07:31:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (7.51 KB, text/plain)
2015-09-03 08:47 EDT, Petr Lautrbach
no flags Details
File: cgroup (191 bytes, text/plain)
2015-09-03 08:47 EDT, Petr Lautrbach
no flags Details
File: core_backtrace (2.35 KB, text/plain)
2015-09-03 08:47 EDT, Petr Lautrbach
no flags Details
File: dso_list (221 bytes, text/plain)
2015-09-03 08:47 EDT, Petr Lautrbach
no flags Details
File: environ (2.59 KB, text/plain)
2015-09-03 08:47 EDT, Petr Lautrbach
no flags Details
File: exploitable (82 bytes, text/plain)
2015-09-03 08:47 EDT, Petr Lautrbach
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-03 08:47 EDT, Petr Lautrbach
no flags Details
File: maps (1.54 KB, text/plain)
2015-09-03 08:47 EDT, Petr Lautrbach
no flags Details
File: mountinfo (3.55 KB, text/plain)
2015-09-03 08:47 EDT, Petr Lautrbach
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-03 08:47 EDT, Petr Lautrbach
no flags Details
File: open_fds (140 bytes, text/plain)
2015-09-03 08:47 EDT, Petr Lautrbach
no flags Details
File: proc_pid_status (1.00 KB, text/plain)
2015-09-03 08:47 EDT, Petr Lautrbach
no flags Details
File: var_log_messages (283 bytes, text/plain)
2015-09-03 08:47 EDT, Petr Lautrbach
no flags Details

  None (edit)
Description Petr Lautrbach 2015-09-03 08:47:06 EDT
Description of problem:
1. clone https://github.com/SELinuxProject/selinux.git
2. run secilc selinux/secilc/test/in_test.cil

Version-Release number of selected component:
secilc-2.4-5.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 3
cmdline:        secilc ./secilc/test/in_test.cil
crash_function: hashtab_search
executable:     /usr/bin/secilc
global_pid:     10343
kernel:         4.2.0-1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            13558

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 hashtab_search
 #1 cil_symtab_get_datum at src/cil_symtab.c:114
 #2 __cil_resolve_name_helper at src/cil_resolve_ast.c:3632
 #3 cil_resolve_name at src/cil_resolve_ast.c:3743
 #4 cil_resolve_in_list at src/cil_resolve_ast.c:2157
 #5 cil_resolve_ast at src/cil_resolve_ast.c:3439
 #6 cil_compile at src/cil.c:353
Comment 1 Petr Lautrbach 2015-09-03 08:47:09 EDT
Created attachment 1069787 [details]
File: backtrace
Comment 2 Petr Lautrbach 2015-09-03 08:47:10 EDT
Created attachment 1069788 [details]
File: cgroup
Comment 3 Petr Lautrbach 2015-09-03 08:47:12 EDT
Created attachment 1069789 [details]
File: core_backtrace
Comment 4 Petr Lautrbach 2015-09-03 08:47:13 EDT
Created attachment 1069790 [details]
File: dso_list
Comment 5 Petr Lautrbach 2015-09-03 08:47:14 EDT
Created attachment 1069791 [details]
File: environ
Comment 6 Petr Lautrbach 2015-09-03 08:47:16 EDT
Created attachment 1069792 [details]
File: exploitable
Comment 7 Petr Lautrbach 2015-09-03 08:47:17 EDT
Created attachment 1069793 [details]
File: limits
Comment 8 Petr Lautrbach 2015-09-03 08:47:18 EDT
Created attachment 1069794 [details]
File: maps
Comment 9 Petr Lautrbach 2015-09-03 08:47:19 EDT
Created attachment 1069795 [details]
File: mountinfo
Comment 10 Petr Lautrbach 2015-09-03 08:47:21 EDT
Created attachment 1069796 [details]
File: namespaces
Comment 11 Petr Lautrbach 2015-09-03 08:47:22 EDT
Created attachment 1069797 [details]
File: open_fds
Comment 12 Petr Lautrbach 2015-09-03 08:47:23 EDT
Created attachment 1069798 [details]
File: proc_pid_status
Comment 13 Petr Lautrbach 2015-09-03 08:47:24 EDT
Created attachment 1069799 [details]
File: var_log_messages

Note You need to log in before you can comment on or make changes to this bug.